<template>
  <flex-layout>
    <!-- 搜索 -->
    <div slot="header" class="contain-search">
      <flex-layout direction="row">
        <el-row :gutter="20">
          <el-col :span="12">
            <label>
              <span>标题内容:</span>
              <el-input v-model="title" placeholder="请输入关键词"></el-input>
            </label>
          </el-col>
          <el-col :span="12">
            <label>
              <span>选择时间:</span>
              <el-date-picker
                v-model="datetime"
                type="daterange"
                range-separator=" ~ "
                start-placeholder="开始日期"
                end-placeholder="结束日期"
              >
              </el-date-picker>
            </label>
          </el-col>
        </el-row>
        <div class="" slot="footer">
          <el-button type="primary" icon="el-icon-search">查询</el-button>
        </div>
      </flex-layout>
    </div>
    <!-- 列表 -->
    <div class="">
      <list-card
        v-for="(item, idx) in list"
        :key="'list_' + idx"
        @itemclick="details"
        :data="item"
      ></list-card>
    </div>
    <!-- 分页 -->
    <div class="" slot="footer">1</div>
  </flex-layout>
</template>

<script>
import FlexLayout from "@/components/FlexLayout.vue";
import ListCard from "@/components/listCard.vue";

let list = [
  {
    a: 1
  },
  {
    a: 2
  }
];
export default {
  name: "",

  data() {
    return {
        title: "",
        desc: "",
        datetime: "",
        level: 0,
        fileList: [],
        operate: 0,
        list: [],
    };
  },
  components: {
    FlexLayout
    ,ListCard
  },
  methods: {
    details (data) {
      console.log(data);
    }
  },

  mounted() {
    this.list = list;
  },
};
</script>

<style scoped>
.title {
  color: #04409a;
  font-size: 24px;
}
>>> .el-input {
  width: 30em;
}
>>> .el-textarea {
  width: 40em;
}
</style>